# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "2016-07-22";
  name = "r6d-blog-${version}";

  src = fetchurl {
    url = "https://github.com/r6d/r6d.github.io/archive/${version}.tar.gz";
    sha256 = "09363h7drw69n717v6zmbaqv2ijdws1dbxqm0l6zn5f9cvmdp9rw";
  };

  buildInputs = [ jekyll ];
  buildPhase = "jekyll build";
  installPhase = "cp -R _site \$out";

  meta = with stdenv.lib; {
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
