# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version="2016-03-21";
  name = "github-teleragno-www-${version}";

  src = fetchurl {
    url = "https://github.com/teleragno/teleragno.github.io/archive/${version}.tar.gz";
    sha256 = "01v03f4fr3rynfrwqgpz5bxf5n1faz4px3hxvd0y73h74c76g5an";
  };

  installPhase = "cp -R . \$out";

  meta = with stdenv.lib; {
    description = "Site web de l'association Teleragno";
    homepage = https://gogs.prunetwork.fr/jpierre03/gallery;
    license = licenses.cc-by-nc-sa-40;
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
